#! /usr/bin/env python
import pygtk; pygtk.require("2.0")
import sys, ORBit, bonobo, CORBA
import gnumexp_conf
ORBit.load_typelib(gnumexp_conf.KERNEL_TYPELIB)
import Numexp__POA, Numexp

CORBA.ORB_init(sys.argv)

class NumexpClient(Numexp__POA.Client):

    __refcount = 1

    def __init__(self, console, kernel):
        Numexp__POA.Client.__init__(self)
        self.console = console
        self.kernel = kernel
        self.__plot_function = self.kernel.registerClientFunction("plot")
        self.__help_function = self.kernel.registerClientFunction("help")
        self.cwd = "::"

    def queryInterface(self, iid):
        #print "NumexpClient queryInterface:", iid
        if (iid == 'IDL:Bonobo/Object:1.0' or
            iid == 'IDL:Numexp/Client:1.0' or
            iid == 'Bonobo/Object' or
            iid == 'Numexp/Client'
            ):
            self.ref()
            return self._this()

    def ref(self):
        self.__refcount += 1

    def unref(self):
        self.__refcount -= 1
        if self.__refcount == 0:
            self.__refcount = None
            poa = self._default_POA()
            id  = poa.servant_to_id(self)
            poa.deactivate_object(id)
    # ----

    def namespaceNotify(self, ns):
        self.console._varbrowser.model.update_namespace(ns.name, self.console.kernel)

    def currentNamespaceNotify(self, ns):
        self.cwd = ns

    # Element evalFunction(in DefinitionHandle def, in ArgList args)
    #         raises (NameError, ParseError, EvalError);
    def evalFunction(self, definition, args):
        if definition == self.__plot_function:
            print "plot(" + str(args) + ")"
            ex = Numexp.EvalError()
            ex.detail = "Not Implemented"
            raise ex
        elif definition == self.__help_function:
            if len(args) != 1 or not self.kernel.elementIsVariable(args[0]):
                ex = Numexp.EvalError()
                ex.detail = "help() expects a single identifier"
                raise ex
            id = self.kernel.elementStr(args[0])
            self.console.display_help_on(id)
        return self.kernel.elementVoid()

    def _print(self, str, msg_type):
        self.console.display.print_output(str, msg_type)


def test():
    cli = NumexpClient(None)
    obj = cli._this()
    obj.unref()

if __name__ == '__main__':
    test()

