#! /usr/bin/env python
import gobject
import gtk, gtk.glade as glade
import gnumexp_conf
from registry import *
from lineattr import *
from copy import *
from gettext import gettext as _
import os.path


class PlotObjectDialog(gobject.GObject):
    __gsignals__ = {
        ## appply(obj, values(=dict))
        'apply': (gobject.SIGNAL_RUN_FIRST, gobject.TYPE_NONE,
                  (object,))
    }

    def __init__(self, glade_name, edit_mode):
        gobject.GObject.__init__(self)
        self.xml = glade.XML(os.path.join(gnumexp_conf.GLADEDIR, "xygraph.glade2"),
                	     glade_name)
        self.dialog = self.xml.get_widget(glade_name)
        ## XXX: perhaps change this if editmode == True
        if edit_mode:
            self.dialog.add_buttons(gtk.STOCK_APPLY, gtk.RESPONSE_APPLY,
                                    gtk.STOCK_CANCEL, gtk.RESPONSE_REJECT,
                                    gtk.STOCK_OK, gtk.RESPONSE_ACCEPT)
        else:
            self.dialog.add_buttons(gtk.STOCK_CANCEL, gtk.RESPONSE_REJECT,
                                    gtk.STOCK_OK, gtk.RESPONSE_ACCEPT)

        attr = LineAttr(thickness=5.0, dash_style=Linemode.SOLID, color=Color(0,0,0))
        win = gtk.Window()
        bt = LineAttrSelector(attr, _("Line _Style:"), True)
        bt.show()
        self.lineattr_bt = bt
        hbox = self.xml.get_widget("lineattr_container")
        hbox.add(bt)

        self.dialog.set_default_response(gtk.RESPONSE_ACCEPT)
        self.dialog.connect("response", self.__dialog_response)
        self.dialog.connect("key-press-event", self.__check_esc)

    def __check_esc(self, dialog, event):
        if event.state == 0 and event.keyval == gtk.keysyms.Escape:
            dialog.response(gtk.RESPONSE_REJECT)
            return True
        
    def __dialog_response(self, dialog, response):
        if response == gtk.RESPONSE_APPLY:
            if self.validate():
                self.emit("apply", self.get_values())
            else:
                gtk.gdk.beep()
                return
            return
        if response == gtk.RESPONSE_ACCEPT:
            if self.validate():
                self.emit("apply", self.get_values())
            else:
                gtk.gdk.beep()
                return
        dialog.destroy()
        self.dialog = None

    def get_values(self):
        label = self.xml.get_widget("func caption").get_text()
        lineattr = deepcopy(self.lineattr_bt.attr)
        #type_name = self.contents.name
        rv = { 'label': label,
               'lineattr': lineattr,
               #'type': type_name,
               #'contents': self.contents.get_values(),
               }
        return rv

    def set_values(self, values):
        self.xml.get_widget("func caption").set_text(values['label'])
        self.lineattr_bt.set_attr(deepcopy(values['lineattr']))
        #type_name = values['type']
        #for contents in self.contents_list:
        #    if contents.name == type_name:
        #        contents.set_values(values['contents'])
        #        self.select_contents(contents)
        #        break

    def validate(self):
        '''Make a quick validation (just see if there are no missing fields)
        If not valid, give focus to the invalid widget and return False,
        else return True'''
        return True

gobject.type_register(PlotObjectDialog)


def __dialog_response(wid, response, dialog):
    if response == gtk.RESPONSE_ACCEPT:
        print "response accept!"
        v = dialog.get_values()
        print v

